JDBCPooledDataSource (HSQLDB 2.4.1 API)
Date: 2018-05-20

org.hsqldb.jdbc.pool

## Class JDBCPooledDataSource

- java.lang.Object
- - org.hsqldb.jdbc.JDBCCommonDataSource
  - - org.hsqldb.jdbc.pool.JDBCPooledDataSource

- All Implemented Interfaces:
    java.io.Serializable, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.ConnectionPoolDataSource

      public class JDBCPooledDataSource
      extends JDBCCommonDataSource
      implements javax.sql.ConnectionPoolDataSource, java.io.Serializable, javax.naming.Referenceable, javax.sql.CommonDataSource

  A data source that implements `ConnectionPoolDataSource`.

  For use by connection pooling software, not by end users.

  Since:
    JDK 1.2, HSQLDB 2.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCPooledDataSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.sql.PooledConnection` | `getPooledConnection()`
    `javax.sql.PooledConnection` | `getPooledConnection(java.lang.String user, java.lang.String password)`
    `javax.naming.Reference` | `getReference()` Retrieves the Reference of this object.

    - ### Methods inherited from class org.hsqldb.jdbc.JDBCCommonDataSource

      `getDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getNetworkProtocol, getParentLogger, getServerName, getUrl, getURL, getUser, setDatabase, setDatabaseName, setLoginTimeout, setLogWriter, setPassword, setProperties, setUrl, setURL, setUser`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

- - ### Constructor Detail

    - #### JDBCPooledDataSource

          public JDBCPooledDataSource()

  - ### Method Detail

    - #### getPooledConnection

          public javax.sql.PooledConnection getPooledConnection()
                                                         throws java.sql.SQLException

      Specified by:
        `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
      Throws:
        `java.sql.SQLException`

    - #### getPooledConnection

          public javax.sql.PooledConnection getPooledConnection(java.lang.String user,
                                                                java.lang.String password)
                                                         throws java.sql.SQLException

      Specified by:
        `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
      Throws:
        `java.sql.SQLException`

    - #### getReference

          public javax.naming.Reference getReference()
                                              throws javax.naming.NamingException

      Retrieves the Reference of this object.
      Specified by:
        `getReference` in interface `javax.naming.Referenceable`
      Returns:
        The non-null javax.naming.Reference of this object.
      Throws:
        `javax.naming.NamingException` - If a naming exception was encountered while retrieving the reference.

Copyright © 2001 - 2018 HSQL Development Group.